%define	major		1
%define libname		%mklibname %{name} %{major}
%define libcord		%mklibname cord %{major}
%define libgccpp	%mklibname gccpp %{major}
%define libgctba	%mklibname gctba %{major}
%define develname	%mklibname %{name} -d

Name:		gc
Version:	8.2.4
Release:	%mkrel 1
Summary:	Conservative garbage collector for C
License:	BSD
Group:		System/Libraries
URL:		https://www.hboehm.info/gc/
Source0:	https://github.com/ivmai/bdwgc/releases/download/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:	cmake

%description
Boehm's GC is a garbage collecting storage allocator that is intended to be
used as a plug-in replacement for C's malloc.

%package -n	%{libname}
Summary:	Conservative garbage collector for C
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
Boehm's GC is a garbage collecting storage allocator that is intended to be
used as a plug-in replacement for C's malloc.

%package -n	%{develname}
Summary:	Development files and documentation for Bohem's GC
Group:		Development/Libraries
License:	BSD
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files and documentation needed to develop programs that use Bohem's GC.

%prep
%autosetup -p1

%build
%cmake \
    -Denable_cplusplus=ON      \
    -Denable_large_config=ON   \
    %nil
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_docdir}/gc/

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}
%{_libdir}/libcord.so.%{major}{,.*}
%{_libdir}/libgccpp.so.%{major}{,.*}
%{_libdir}/libgctba.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/lib*.so
%{_includedir}/%{name}/
%{_includedir}/%{name}*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/bdwgc/
%{_mandir}/man?/%{name}.3.*

%changelog
* Mon Oct 09 2023 tex - 8.2.4-1pclos2023
- new version: 8.2.4
